Package org.pushingpixels.trident

# Class TimelineScenario.RendezvousSequence

java.lang.Object
org.pushingpixels.trident.TimelineScenario
org.pushingpixels.trident.TimelineScenario.RendezvousSequence

Enclosing class:
  `TimelineScenario`

public static class TimelineScenario.RendezvousSequence extends TimelineScenario

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.trident.TimelineScenario

`TimelineScenario.Parallel, TimelineScenario.RendezvousSequence, TimelineScenario.Sequence, TimelineScenario.TimelineScenarioActor, TimelineScenario.TimelineScenarioState`

## Constructor Summary

Constructors
Constructor
Description
`RendezvousSequence()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDependency(TimelineScenario.TimelineScenarioActor actor, TimelineScenario.TimelineScenarioActor... waitFor)`
`void`
`addScenarioActor(TimelineScenario.TimelineScenarioActor actor)`
`void`
`play()`
`void`
`playLoop()`
`void`
`rendezvous()`

### Methods inherited from class org.pushingpixels.trident.TimelineScenario

`addCallback, cancel, getState, resume, suspend`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RendezvousSequence

public RendezvousSequence()

## Method Details

### addDependency

public void addDependency(TimelineScenario.TimelineScenarioActor actor, TimelineScenario.TimelineScenarioActor... waitFor)

Overrides:
  `addDependency` in class `TimelineScenario`

### addScenarioActor

public void addScenarioActor(TimelineScenario.TimelineScenarioActor actor)

Overrides:
  `addScenarioActor` in class `TimelineScenario`

### rendezvous

public void rendezvous()

### play

public void play()

Overrides:
  `play` in class `TimelineScenario`

### playLoop

public void playLoop()

Overrides:
  `playLoop` in class `TimelineScenario`